summaryrefslogtreecommitdiffstats
path: root/tests
diff options
context:
space:
mode:
Diffstat (limited to 'tests')
-rw-r--r--tests/ci/docker/yardstick-ci/Dockerfile1
-rwxr-xr-xtests/ci/yardstick-verify27
-rw-r--r--tests/opnfv/test_cases/opnfv_yardstick_tc027.yaml4
-rw-r--r--tests/opnfv/test_suites/opnfv_os-nosdn-nofeature-ha_daily.yaml23
-rw-r--r--tests/unit/benchmark/scenarios/networking/test_networkcapacity.py56
5 files changed, 102 insertions, 9 deletions
diff --git a/tests/ci/docker/yardstick-ci/Dockerfile b/tests/ci/docker/yardstick-ci/Dockerfile
index 2d59fd69e..684f47122 100644
--- a/tests/ci/docker/yardstick-ci/Dockerfile
+++ b/tests/ci/docker/yardstick-ci/Dockerfile
@@ -20,6 +20,7 @@ ENV RELENG_REPO_DIR ${REPOS_DIR}/releng
RUN apt-get update && apt-get install -y \
wget \
+ curl \
git \
sshpass \
qemu-utils \
diff --git a/tests/ci/yardstick-verify b/tests/ci/yardstick-verify
index 0e234f54d..bdb91003d 100755
--- a/tests/ci/yardstick-verify
+++ b/tests/ci/yardstick-verify
@@ -42,7 +42,7 @@ EOF
DISPATCHER_TYPE=file
DISPATCHER_FILE_NAME="/tmp/yardstick.out"
-DISPATCHER_HTTP_TARGET=
+DISPATCHER_HTTP_TARGET="http://testresults.opnfv.org/test/api/v1/results"
DISPATCHER_INFLUXDB_TARGET=
while getopts "r:i:h" OPTION; do
@@ -128,10 +128,13 @@ install_storperf()
echo
echo "========== Installing storperf =========="
- if ! yardstick plugin install plugin/CI/storperf.yaml; then
+ if ! yardstick -d plugin install plugin/CI/storperf.yaml; then
echo "Install storperf plugin FAILED";
exit 1
fi
+
+ echo
+ echo "========== Installed storperf container =========="
fi
}
@@ -293,18 +296,28 @@ EOF
done
- local sceanrio_status="success"
+ local sceanrio_status="SUCCESS"
+
+ if [ $failed -gt 0 ]; then
+ scenario_status="FAILED"
+ fi
+ curl -i -H 'content-type: application/json' -X POST -d \
+ "{\"project_name\": \"yardstick\",
+ \"pod_name\":\"${NODE_NAME}\",
+ \"installer\":\"${INSTALLER_TYPE}\",
+ \"description\": \"yardstick ci scenario status\",
+ \"case_name\": \"scenario_status\",
+ \"version\":\"${YARDSTICK_BRANCH}\",
+ \"scenario\":\"${DEPLOY_SCENARIO}\",
+ \"details\":\"${sceanrio_status}\"}" \
+ ${DISPATCHER_HTTP_TARGET}
if [ $failed -gt 0 ]; then
- scenario_status="failed"
echo "---------------------------"
echo "$failed out of ${SUITE_FILES[*]} test suites FAILED"
echo "---------------------------"
exit 1
fi
- curl -i -H 'content-type: application/json' -X POST -d \
- '{\"details\":{\"${DEPLOY_SCENARIO}\":\"${sceanrio_status}\"}}' \
- http://${DISPATCHER_HTTP_TARGET}:3570
else
diff --git a/tests/opnfv/test_cases/opnfv_yardstick_tc027.yaml b/tests/opnfv/test_cases/opnfv_yardstick_tc027.yaml
index ccdcaebc8..544118869 100644
--- a/tests/opnfv/test_cases/opnfv_yardstick_tc027.yaml
+++ b/tests/opnfv/test_cases/opnfv_yardstick_tc027.yaml
@@ -3,7 +3,7 @@
# Measure IPV6 network latency using ping6
schema: "yardstick:task:0.1"
-
+{% set pod_info = pod_info or "etc/yardstick/nodes/compass_sclab_physical/pod.yaml" %}
scenarios:
-
type: Ping6
@@ -33,6 +33,6 @@ precondition:
context:
type: Node
name: IPV6
- file: /home/opnfv/repos/yardstick/etc/yardstick/nodes/compass_sclab_physical/pod.yaml
+ file: {{pod_info}}
diff --git a/tests/opnfv/test_suites/opnfv_os-nosdn-nofeature-ha_daily.yaml b/tests/opnfv/test_suites/opnfv_os-nosdn-nofeature-ha_daily.yaml
index fa7aa25e1..f53ef098f 100644
--- a/tests/opnfv/test_suites/opnfv_os-nosdn-nofeature-ha_daily.yaml
+++ b/tests/opnfv/test_suites/opnfv_os-nosdn-nofeature-ha_daily.yaml
@@ -19,6 +19,13 @@ test_cases:
-
file_name: opnfv_yardstick_tc014.yaml
-
+ file_name: opnfv_yardstick_tc027.yaml
+ constraint:
+ installer: compass
+ pod: huawei-pod1
+ task_args:
+ huawei-pod1: '{"pod_info": "etc/yardstick/nodes/compass_sclab_physical/pod.yaml"}'
+-
file_name: opnfv_yardstick_tc037.yaml
-
file_name: opnfv_yardstick_tc043.yaml
@@ -49,6 +56,22 @@ test_cases:
constraint:
installer: fuel
-
+ file_name: opnfv_yardstick_tc050.yaml
+ constraint:
+ installer: fuel
+-
+ file_name: opnfv_yardstick_tc051.yaml
+ constraint:
+ installer: fuel
+-
+ file_name: opnfv_yardstick_tc052.yaml
+ constraint:
+ installer: fuel
+-
+ file_name: opnfv_yardstick_tc053.yaml
+ constraint:
+ installer: fuel
+-
file_name: opnfv_yardstick_tc055.yaml
constraint:
installer: compass
diff --git a/tests/unit/benchmark/scenarios/networking/test_networkcapacity.py b/tests/unit/benchmark/scenarios/networking/test_networkcapacity.py
new file mode 100644
index 000000000..e3a096446
--- /dev/null
+++ b/tests/unit/benchmark/scenarios/networking/test_networkcapacity.py
@@ -0,0 +1,56 @@
+#!/usr/bin/env python
+
+##############################################################################
+# Copyright (c) 2016 Huawei Technologies Co.,Ltd and others.
+#
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Apache License, Version 2.0
+# which accompanies this distribution, and is available at
+# http://www.apache.org/licenses/LICENSE-2.0
+##############################################################################
+
+# Unittest for yardstick.benchmark.scenarios.networking.networkcapacity.NetworkCapacity
+
+import mock
+import unittest
+import os
+import json
+
+from yardstick.benchmark.scenarios.networking import networkcapacity
+
+SAMPLE_OUTPUT = '{"Number of connections":"308","Number of frames received": "166503"}'
+
+@mock.patch('yardstick.benchmark.scenarios.networking.networkcapacity.ssh')
+class NetworkCapacityTestCase(unittest.TestCase):
+
+ def setUp(self):
+ self.ctx = {
+ 'host': {
+ 'ip': '172.16.0.137',
+ 'user': 'cirros',
+ 'password': "root"
+ },
+ }
+
+ self.result = {}
+
+ def test_capacity_successful_setup(self, mock_ssh):
+ c = networkcapacity.NetworkCapacity({}, self.ctx)
+ mock_ssh.SSH().execute.return_value = (0, '', '')
+ c.setup()
+ self.assertIsNotNone(c.client)
+ self.assertTrue(c.setup_done)
+
+ def test_capacity_successful(self, mock_ssh):
+ c = networkcapacity.NetworkCapacity({}, self.ctx)
+
+ mock_ssh.SSH().execute.return_value = (0, SAMPLE_OUTPUT, '')
+ c.run(self.result)
+ expected_result = json.loads(SAMPLE_OUTPUT)
+ self.assertEqual(self.result, expected_result)
+
+ def test_capacity_unsuccessful_script_error(self, mock_ssh):
+ c = networkcapacity.NetworkCapacity({}, self.ctx)
+
+ mock_ssh.SSH().execute.return_value = (1, '', 'FOOBAR')
+ self.assertRaises(RuntimeError, c.run, self.result)